Issue1235

classification
Title: java.awt.Frame - problem w/ attibutes
Type: Severity: normal
Components: Core Versions: 2.5b1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cgroves, yarkot
Priority: Keywords:

Created on 2009-01-13.04:07:48 by yarkot, last changed 2009-01-17.22:36:55 by cgroves.

Messages
msg4038 (view) Author: Yarko (yarkot) Date: 2009-01-13.04:07:47
WindowsXPSP2;  java 1.6.0_11
Trying the GUI example at http://www.ibm.com/developerworks/java/library/j-alj07064/

works in jython 2.2.1;
In jython 2.5b1, the problem boils down to this:

Jython 2.5b1 (trunk:5903:5905, Jan 9 2009, 16:01:29)
[Java HotSpot(TM) Client VM (Sun Microsystems Inc.)] on java1.6.0_11
Type "help", "copyright", "credits" or "license" for more information.
>>> import sys
>>> import java.awt.Frame
>>> frame = java.awt.Frame("foo", windowClosing=sys.exit)
>>> frame.visible=1
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
java.lang.NullPointerException
        at org.python.core.PyObject.__tojava__(PyObject.java:257)
        at org.python.core.PyInteger.__tojava__(PyInteger.java:152)
        at org.python.core.Py.tojava(Py.java:471)
        at org.python.core.PyBeanProperty._doset(PyBeanProperty.java:61)
        at org.python.core.PyObject.__set__(PyObject.java:3659)
        at 
org.python.core.PyObject.object___setattr__(PyObject.java:3719)
        at 
org.python.core.PyObject.object___setattr__(PyObject.java:3708)
        at 
org.python.core.PyObject$object___setattr___exposer.__call__(Unknown
Source)
        at 
org.python.core.PyObjectDerived.__setattr__(PyObjectDerived.java:1026
)
        at org.python.pycode._pyx4.f$0(<stdin>:1)
        at org.python.pycode._pyx4.call_function(<stdin>)
        at org.python.core.PyTableCode.call(PyTableCode.java:199)
        at org.python.core.PyCode.call(PyCode.java:14)
        at org.python.core.Py.runCode(Py.java:1206)
        at org.python.core.Py.exec(Py.java:1237)
        at 
org.python.util.PythonInterpreter.exec(PythonInterpreter.java:133)
        at 
org.python.util.InteractiveInterpreter.runcode(InteractiveInterpreter
.java:90)
        at 
org.python.util.InteractiveInterpreter.runsource(InteractiveInterpret
er.java:71)
        at 
org.python.util.InteractiveInterpreter.runsource(InteractiveInterpret
er.java:46)
        at 
org.python.util.InteractiveConsole.push(InteractiveConsole.java:110)
        at 
org.python.util.InteractiveConsole.interact(InteractiveConsole.java:9
0)
        at org.python.util.jython.run(jython.java:293)
        at org.python.util.jython.main(jython.java:112)

java.lang.NullPointerException: java.lang.NullPointerException
>>> frame.size = 400, 300
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
TypeError: 'NoneType' object is not callable
>>>
msg4056 (view) Author: Charlie Groves (cgroves) Date: 2009-01-17.22:36:55
I believe this is fixed in r5942.  Thanks for the report!
History
Date User Action Args
2009-01-17 22:36:55cgrovessetstatus: open -> closed
resolution: fixed
messages: + msg4056
nosy: + cgroves
2009-01-13 04:07:48yarkotcreate